# Uses of Class
it.tdlight.jni.TdApi.ChatLocation

## Uses of TdApi.ChatLocation in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatLocation
Modifier and Type
Field
Description
`TdApi.ChatLocation`
TdApi.CreateNewSupergroupChat.`location`
Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.
`TdApi.ChatLocation`
TdApi.SetChatLocation.`location`
New location for the chat; must be valid and not null.
`TdApi.ChatLocation`
TdApi.SupergroupFullInfo.`location`
Location to which the supergroup is connected; may be null.
`TdApi.ChatLocation`
TdApi.ChatEventLocationChanged.`newLocation`
New location; may be null.
`TdApi.ChatLocation`
TdApi.ChatEventLocationChanged.`oldLocation`
Previous location; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatLocation
Modifier
Constructor
Description
``
`ChatEventLocationChanged(TdApi.ChatLocation oldLocation, TdApi.ChatLocation newLocation)`
The supergroup location was changed.
``
`CreateNewSupergroupChat(String title, boolean isChannel, String description, TdApi.ChatLocation location, boolean forImport)`
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate.
``
`SetChatLocation(long chatId, TdApi.ChatLocation location)`
Changes the location of a chat.
``
`SupergroupFullInfo(TdApi.ChatPhoto photo, String description, int memberCount, int administratorCount, int restrictedCount, int bannedCount, long linkedChatId, int slowModeDelay, double slowModeDelayExpiresIn, boolean canGetMembers, boolean canSetUsername, boolean canSetStickerSet, boolean canSetLocation, boolean canGetStatistics, boolean isAllHistoryAvailable, long stickerSetId, TdApi.ChatLocation location, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands, long upgradedFromBasicGroupId, long upgradedFromMaxMessageId)`
Contains full information about a supergroup or channel.